# Poco

# class AbstractObserver

Library: Foundation
Package: Notifications
Header: Poco/AbstractObserver.h

## Description

The base class for all instantiations of the Observer and NObserver template classes.

## Inheritance

Known Derived Classes: NObserver, Observer

## Member Summary

Member Functions: accepts, clone, equals, notify, operator =

## Constructors

### AbstractObserver

AbstractObserver();

### AbstractObserver

AbstractObserver(
const AbstractObserver & observer
);

## Destructor

### ~AbstractObserver

virtual ~AbstractObserver();

## Member Functions

### accepts

virtual bool accepts(
Notification * pNf
) const = 0;

### clone

virtual AbstractObserver * clone() const = 0;

### equals

virtual bool equals(
const AbstractObserver & observer
) const = 0;

### notify

virtual void notify(
Notification * pNf
) const = 0;

### operator =

AbstractObserver & operator = (
const AbstractObserver & observer
);